Whenever i hit print button solidworks 2004 sp0.0 crashes to the desktop. Has anyone else had this problem? This is a clean install. Crashes happen on two identical boxes.
thanks cliff
SW2004 Pro SP0.0 Dell 8300 XP Pro Fire GL Pro
512MBWhenever i hit print button solidworks 2004 sp0.0 crashes to the desktop. Has anyone else had this problem? This is a clean install. Crashes happen on two identical boxes.
thanks cliff
SW2004 Pro SP0.0 Dell 8300 XP Pro Fire GL Pro
512MBCliff,
I had this problem in 2003 it seemed to be resolved by sp3 though. In the mean time I had created a macro to set my print settings make sure my footer was there, scaled to fit and print to a selected printer. Pretty simple. Never crashed while printing this way though. I would be glad to send it to you.
Corey Scheich
Corey Scheich quipped:
actually, i'm interested in seeing how you used the macro to make sure your footer is set.
if'n you don't mind.
can you post it? or link to it?
-nick e.
The following code will set print settings and print as noted
Dim swApp as SldWorks.SldWorks Dim Part as SldWorks.DrawingDoc
Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc
'set the printer for this document PrinterPath = "\\OUR_SERVER\Eng_855"
Part.Printer PrinterPath
'set left footer Part.PageSetup.LeftFooter "Last Plot Date: &[date] &[time]"
'set Scale to fit Part.PageSetup.ScaleToFit True
'Print to printer set for this document Part.PrintDirect
regards Corey Scheich
Corey Scheich quipped:
thanks.
took a bit of tweaking, but I did get it to work.
any idea how to set the font size of the footer, tho?
-nick e.
this ought to do it.
Part.PageSetup.FooterTextFormat.CharHeightInPts = 25
Or
Part.PageSetup.FooterTextFormat.CharHeight = 0.5
FYI if you look up PageSetup in the API help most of this is in there if you want to do font or character spacing. It is easier if you get the sheet object and the pagesetup object first then you get the dropdown lists.
Dim CurSheet as Sheet Dim PageSettings As PageSetup
Set CurSheet = part. (I am not sure of how to access the active sheet off the top of my head) Set Pagesettings = CurSheet.PageSetup
PageSettings.FooterTextFormat.CharHeightInPts = 25
Regards Corey
PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.